# Oddmu on Debian - DebianでOddmu

2024年12月現在、Debian GNU/Linuxの安定版は version 12, コードネームはbookwormである。

bookwormのgolangパッケージはGo v1.19に対応しているが、これでOddmuをビルドしようとgo buildするとエラーになり中断される。
```
$ go build
go: errors parsing go.mod:
oddmu/go.mod:5: unknown directive: toolchain
```
解決策として、バックポートパッケージにGo v1.22があるので、それを使えば問題無い。

ただ、これはOddmuがGo v1.22を必要としていると言うより、ビルドシステムのみの問題と思われるので、できればDebian安定板でビルドできるように修正したい。

toolchainディレクティブが使われてるのはgo.modだな。
このファイルでビルド方法や依存関係が指定されてる。
go.workも使われるらしいが、これはモジュールが複数あるときのよう。
Oddmuでは無いようだ。

参考:

* GoのToolchainについては、ここ: https://go.dev/doc/toolchain
* go buildについては、ここかな: https://go.dev/doc/tutorial/compile-install
* go.modファイルについては、ここ: https://go.dev/doc/modules/gomod-ref
